This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023127 - hammer: Multibyte and Latin-1 Org names break list pagination
hammer: Multibyte and Latin-1 Org names break list pagination
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: 6.2.8
: --
Assigned To: Shlomi Zadok
Bruno Rocha
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks: 1418412 1393611
  Show dependency treegraph
 
Reported: 2013-10-24 12:53 EDT by Corey Welton
Modified: 2017-03-06 03:25 EST (History)
6 users (show)

See Also:
Fixed In Version: rubygem-hammer_cli-0.5.1.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1418412 (view as bug list)
Environment:
Last Closed: 2017-03-06 03:25:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3520 None None None 2016-04-22 12:04 EDT

  None (edit)
Description Corey Welton 2013-10-24 12:53:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Satellite-6.0.2-RHEL-6-20131023.1


How reproducible:


Steps to Reproduce:
1.  Create a variety of orgs with normal ascii, latin-1 and multibyte chars.
2.  hammer -u admin -p admin organization list
3.  View results

Actual results:
--------------------------------
NAME                        | ID
--------------------------------
KT-[ACME_Corporation]       | 1 
KT-[Katello_Infrastructure] | 2 
大傻瓜                   | 3 
你好                      | 4 
foobar                      | 5 
foobart                     | 6 
jalapeño                   | 7 
--------------------------------


Expected results:
--------------------------------
NAME                        | ID
--------------------------------
KT-[ACME_Corporation]       | 1 
KT-[Katello_Infrastructure] | 2 
大傻瓜                       | 3 
你好                         | 4 
foobar                      | 5 
foobart                     | 6 
jalapeño                    | 7 
--------------------------------


Additional info:
Comment 1 Corey Welton 2013-10-24 12:58:40 EDT
not sure if the org stuff will be replaced by katello-bridge or what have you, but bz'ed anyway.
Comment 7 Corey Welton 2014-05-23 17:29:17 EDT
bumping to 6.0.4 for qe
Comment 8 Bryan Kearney 2016-08-10 14:14:23 EDT
Upstream bug component is Uncategorized
Comment 9 Bryan Kearney 2016-08-10 14:59:30 EDT
Upstream bug component is Hammer
Comment 11 Bryan Kearney 2016-09-27 10:00:45 EDT
Upstream bug assigned to szadok@redhat.com
Comment 12 Bryan Kearney 2016-09-27 10:00:50 EDT
Upstream bug assigned to szadok@redhat.com
Comment 13 Bryan Kearney 2016-11-28 10:12:27 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/3520 has been resolved.
Comment 15 Bruno Rocha 2017-02-20 16:20:02 EST
Verified in:

6.2.8 3.0


Having the exact same list described in this BZ:

$ satellite-populate with the file

config:
  username: admin
  password: admin
  hostname: <FQDN>
actions:
  - model: Organization
    with_items:
      - KT-[ACME_Corporation]
      - KT-[Katello_Infrastructure]
      - 大傻瓜
      - 你好
      - foobar
      - foobart
      - jalapeño
    data:
      name: "{{ item }}"


The result is:

[root@cloud-qe-09 ~]# hammer -u admin organization list --search="name=foobar or foobart or jalapeño or 你好 or 大傻瓜 or KT-[Katello_Infrastructure] or KT-[ACME_Corporation]"

---|-----------------------------|--------------------------------------|------------
ID | NAME                        | LABEL                                | DESCRIPTION
---|-----------------------------|--------------------------------------|------------
50 | foobar                      | foobar                               |            
51 | foobart                     | foobart                              |            
52 | jalapeño                    | 41788314-dc54-4b8c-91a3-8e00e34d5a16 |            
46 | KT-[ACME_Corporation]       | KT-_ACME_Corporation_                |            
47 | KT-[Katello_Infrastructure] | KT-_Katello_Infrastructure_          |            
49 | 你好                        | dbada7d5-e83c-4998-aea2-1a4945d59b5b |            
48 | 大傻瓜                      | b6e1d2b9-d92c-4f32-9da9-29ae36fd1fc4 |            
---|-----------------------------|--------------------------------------|------------


Having more organizations with long utf-8 names results in broken table, but this is not common use and I think this not a bug, only a char limitation in the terminal.


[root@cloud-qe-09 ~]# hammer -u admin organization list
---|----------------------------------------------------------------------------------|----------------------------------------------------------------------------------|---------------------------------------------------------------------------------
ID | NAME                                                                             | LABEL                                                                            | DESCRIPTION                                                                     
---|----------------------------------------------------------------------------------|----------------------------------------------------------------------------------|---------------------------------------------------------------------------------
35 | 56101940376063946077228985894048195830431501799046198639976404881333123768358... | 627ac256-5d4e-4381-8382-e5e79b6ec50c                                             | 56101940376063946077228985894048195830431501799046198639976404881333123768358...
34 | äÒæáæÑÙÌúÌÃÛÞÆÃÅâÉÂúýóÙæâéÛÎÍèôïîôÐùúÓæÚÚòÅéãùÛÓËêõÕîøÃÀÎÀüÛåÍÉìÚòõÉèÃÍïâíÔäÀ... | e688fa8f-0038-4cc0-b944-638e2335f92b                                             | äÒæáæÑÙÌúÌÃÛÞÆÃÅâÉÂúýóÙæâéÛÎÍèôïîôÐùúÓæÚÚòÅéãùÛÓËêõÕîøÃÀÎÀüÛåÍÉìÚòõÉèÃÍïâíÔäÀ...
28 | aVjXXBFKw                                                                        | aVjXXBFKw                                                                        |                                                                                 
19 | awbQQxMzEH                                                                       | awbQQxMzEH                                                                       |                                                                                 
27 | aYOgpMRV                                                                         | aYOgpMRV                                                                         |                                                                                 
5  | bBZHkBHhuSe                                                                      | bBZHkBHhuSe                                                                      |                                                                                 
4  | bXjkzlgCWuo                                                                      | bXjkzlgCWuo                                                                      |                                                                                 
1  | Default Organization                                                             | Default_Organization                                                             |                                                                                 
37 | <dt>ZUVBdGrgjcKKmKoBkwzvdENvunrJSelWZpyOwOAYwYiPoPqwvadaBJSZzLwMWoZRfmGlpCqjS... | _dt_ZUVBdGrgjcKKmKoBkwzvdENvunrJSelWZpyOwOAYwYiPoPqwvadaBJSZzLwMWoZRfmGlpCqjS... | <dt>ZUVBdGrgjcKKmKoBkwzvdENvunrJSelWZpyOwOAYwYiPoPqwvadaBJSZzLwMWoZRfmGlpCqjS...
14 | duAyPWZ                                                                          | duAyPWZ                                                                          |                                                                                 
17 | Dunder Mifflin                                                                   | orgDunderMifflin                                                                 | This is a satellite organization named Dunder Mifflin                           
3  | ECvxtn                                                                           | ECvxtn                                                                           |                                                                                 
25 | Facweyh                                                                          | Facweyh                                                                          |                                                                                 
32 | fCUKaDbRTNTAlGFGtdeiHoCeRrHKddfEOlvjPEbwtKVcMuxHtzgxayLDtFIOqugTpsXoPrVCJmovI... | 43187559-490f-4e48-bab1-5d0506fc6a08                                             | fCUKaDbRTNTAlGFGtdeiHoCeRrHKddfEOlvjPEbwtKVcMuxHtzgxayLDtFIOqugTpsXoPrVCJmovI...
50 | foobar                                                                           | foobar                                                                           |                                                                                 
51 | foobart                                                                          | foobart                                                                          |                                                                                 
26 | IXTxyofUyN                                                                       | IXTxyofUyN                                                                       |                                                                                 
52 | jalapeño                                                                         | 41788314-dc54-4b8c-91a3-8e00e34d5a16                                             |                                                                                 
44 | JoOKAiDDtPMg                                                                     | JoOKAiDDtPMg                                                                     |                                                                                 
21 | JQcGwTV                                                                          | JQcGwTV                                                                          |                                                                                 
46 | KT-[ACME_Corporation]                                                            | KT-_ACME_Corporation_                                                            |                                                                                 
47 | KT-[Katello_Infrastructure]                                                      | KT-_Katello_Infrastructure_                                                      |                                                                                 
13 | loqWWAsclpNt                                                                     | loqWWAsclpNt                                                                     |                                                                                 
24 | naOcMAeWjcn                                                                      | naOcMAeWjcn                                                                      |                                                                                 
7  | OfEXcXVkMYjx                                                                     | OfEXcXVkMYjx                                                                     |                                                                                 
30 | oQxDezwfBprOxKcObTeBvjHzKeQJ                                                     | oQxDezwfBprOxKcObTeBvjHzKeQJ                                                     |                                                                                 
29 | pbqEJLwCgG                                                                       | pbqEJLwCgG                                                                       |                                                                                 
16 | pNUMUgSmO                                                                        | pNUMUgSmO                                                                        |                                                                                 
43 | QAJfleguNuH                                                                      | QAJfleguNuH                                                                      |                                                                                 
20 | QkHJhAISEdzk                                                                     | QkHJhAISEdzk                                                                     |                                                                                 
42 | QMYHBaEHX                                                                        | QMYHBaEHX                                                                        |                                                                                 
39 | QZGxxMZiXX                                                                       | RYGLt                                                                            | 𦰢뽛翅𨹕銜隞謞𪉫𨠓䠉𩯬굋㬽𦢔𦁗㻟㜥𠪔蝞𣷐𨂀큧𨊧젙𨞯䩓ᢋ𧊈                         
40 | RGamTDH                                                                          | RGamTDH                                                                          |                                                                                 
31 | RtomyfBeeiQKPbSUCoAKeYOFPaCGrvH2WtmrucnUG1bnpbtydB8zjkl0TAkDJw2veIFXSfRrlbNEj... | 739ae355-336c-4c5a-9f92-345d93d56dc4                                             | RtomyfBeeiQKPbSUCoAKeYOFPaCGrvH2WtmrucnUG1bnpbtydB8zjkl0TAkDJw2veIFXSfRrlbNEj...
41 | sBrtkLuavR                                                                       | DkitGZx                                                                          | fWMfFCpPZq                                                                      
6  | sHSYSTbdh                                                                        | sHSYSTbdh                                                                        |                                                                                 
8  | SXnVAB                                                                           | SXnVAB                                                                           |                                                                                 
22 | TJthWtGjtov                                                                      | TJthWtGjtov                                                                      |                                                                                 
10 | UjhsGHau                                                                         | UjhsGHau                                                                         |                                                                                 
12 | UJVQiluNbsh                                                                      | UJVQiluNbsh                                                                      |                                                                                 
38 | VNzpehOGey                                                                       | lYMdMcNjaFbL                                                                     |                                                                                 
53 | vseePZ                                                                           | vseePZ                                                                           |                                                                                 
9  | VznmIbI                                                                          | VznmIbI                                                                          |                                                                                 
18 | Wernham Hogg                                                                     | orgWernhamHogg                                                                   | This is a satellite organization named Wernham Hogg                             
23 | yPRxHaRoOfeP                                                                     | yPRxHaRoOfeP                                                                     |                                                                                 
45 | zeLvtQvskWA                                                                      | zeLvtQvskWA                                                                      |                                                                                 
11 | ZeMYdoyExb                                                                       | ZeMYdoyExb                                                                       |                                                                                 
15 | zlWdfwYPFOol                                                                     | zlWdfwYPFOol                                                                     |                                                                                 
49 | 你好                                                                             | dbada7d5-e83c-4998-aea2-1a4945d59b5b                                             |                                                                                 
33 | 囹膅近恾焹拋贶綨啣皈铑囲洚婉婎梣粳閛汿昻糤悎灧恝韩軠徺孽绽塲酎稙汊喋缁墬网菑...  | 49c9c1b2-9603-46dc-91ba-845a80d79897                                             | 囹膅近恾焹拋贶綨啣皈铑囲洚婉婎梣粳閛汿昻糤悎灧恝韩軠徺孽绽塲酎稙汊喋缁墬网菑... 
48 | 大傻瓜                                                                           | b6e1d2b9-d92c-4f32-9da9-29ae36fd1fc4                                             |                                                                                 
36 | 竮仆浒藓鄠겘𝑄ꃨ𨱷𧗹怎銕𓋳雺𦃻𦸰𧴕𡡏ㄚ蕐S𢏮𤙪𫘭ﻯ𠘖𨙪𝚁상譫                          | 2955af0f-fe41-4428-9ebe-1b61ac7e34aa                                             | 竮仆浒藓鄠겘𝑄ꃨ𨱷𧗹怎銕𓋳雺𦃻𦸰𧴕𡡏ㄚ蕐S𢏮𤙪𫘭ﻯ𠘖𨙪𝚁상譫                         
---|----------------------------------------------------------------------------------|----------------------------------------------------------------------------------|---------------------------------------------------------------------------------
Comment 17 errata-xmlrpc 2017-03-06 03:25:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0447

Note You need to log in before you can comment on or make changes to this bug.